CREATE TABLE fnd_sessions (
    ENTERPRISE_ID            NUMBER(18, 0) ,
    SESSION_ID               VARCHAR2(128) ,
    SESSION_COOKIE           VARCHAR2(256) ,
    USER_GUID                VARCHAR2(256)     NOT NULL,
    USER_NAME                VARCHAR2(4000)    NOT NULL,
    PRODUCT_FAMILY           VARCHAR2(120) ,
    PRODUCT                  VARCHAR2(120) ,
    INDUSTRY                 VARCHAR2(120) ,
    TERRITORY                VARCHAR2(120) ,
    LANGUAGE_TAG             VARCHAR2(120) ,
    NLS_LANGUAGE             VARCHAR2(120) ,
    NLS_SORT                 VARCHAR2(120) ,
    SECURITY_ATTR_SET_KEY    VARCHAR2(256) ,
    SESSION_ATTR_SET_KEY     VARCHAR2(256) ,
    DISABLED_FLAG            VARCHAR2(4)   ,
    PURGE_IMMEDIATE          VARCHAR2(4)   ,
    COUNTER                  NUMBER        ,
    FIRST_CONNECT            DATE          ,
    LAST_CONNECT             DATE          ,
    LIMIT_TIME               NUMBER        ,
    LIMIT_CONNECTS           NUMBER        ,
    TIMEOUT                  NUMBER        ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    SESSION_ROLE_SET_KEY     VARCHAR2(256) ,
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ENTERPRISE_ID            NUMBER(18, 0) ,
    SESSION_ID               VARCHAR2(128) ,
    SESSION_COOKIE           VARCHAR2(256) ,
    USER_GUID                VARCHAR2(256)     NOT NULL,
    USER_NAME                VARCHAR2(4000)    NOT NULL,
    PRODUCT_FAMILY           VARCHAR2(120) ,
    PRODUCT                  VARCHAR2(120) ,
    INDUSTRY                 VARCHAR2(120) ,
    TERRITORY                VARCHAR2(120) ,
    LANGUAGE_TAG             VARCHAR2(120) ,
    NLS_LANGUAGE             VARCHAR2(120) ,
    NLS_SORT                 VARCHAR2(120) ,
    SECURITY_ATTR_SET_KEY    VARCHAR2(256) ,
    SESSION_ATTR_SET_KEY     VARCHAR2(256) ,
    DISABLED_FLAG            VARCHAR2(4)   ,
    PURGE_IMMEDIATE          VARCHAR2(4)   ,
    COUNTER                  NUMBER        ,
    FIRST_CONNECT            DATE          ,
    LAST_CONNECT             DATE          ,
    LIMIT_TIME               NUMBER        ,
    LIMIT_CONNECTS           NUMBER        ,
    TIMEOUT                  NUMBER        ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    SESSION_ROLE_SET_KEY     VARCHAR2(256) ,
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONSTRAINT pk_fnd_sessions PRIMARY KEY (ENTERPRISE_ID, SESSION_ID, ENTERPRISE_ID, SESSION_ID)
);
